{
  "accUserMode" : 2,
  "caption" : "学员登记信息",
  "codeName" : "ReginfoUsrCandlestickDeChartView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/ReginfoUsrCandlestickDeChartView.json",
  "name" : "ReginfoUsrCandlestickDeChartView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "ChartView",
    "name" : "engine"
  } ],
  "getPSControls" : [ {
    "codeName" : "Usr12317781_SearchForm",
    "controlType" : "SEARCHFORM",
    "defaultLabelWidth" : 130,
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo/PSSEARCHFORMS/Usr12317781_SearchForm.json",
    "logicName" : "测试k线图实体图表视图_搜索表单",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionType" : "FILTERACTION",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGet"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "search",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterSearch"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "搜索表单处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "SEARCHFORM"
    },
    "getPSDEFormPages" : [ {
      "caption" : "常规条件",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "name" : "formpage1",
      "getPSLayout" : {
        "childColMD" : 24,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "childColMD" : 24,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "searchButtonStyle" : "DEFAULT",
    "tabHeaderPos" : "TOP",
    "enableAdvanceSearch" : false,
    "enableAutoSearch" : false,
    "enableFilterSave" : false,
    "noTabHeader" : true,
    "name" : "searchform",
    "modelid" : "2010D4E5-B052-44CE-91EB-76548B8A753C",
    "modeltype" : "PSDEFORM_SEARCHFORM"
  }, {
    "codeName" : "UsrCandlestickDeChartView_Chart",
    "controlType" : "CHART",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo/PSCHARTS/UsrCandlestickDeChartView_Chart.json",
    "getFetchPSControlAction" : {
      "modelref" : true,
      "id" : "fetch",
      "actionType" : "DEDATASET",
      "name" : "fetch",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "FetchDefault"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
      }
    },
    "logicName" : "Chart2",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
    },
    "getPSChartCoordinateSystems" : [ {
      "eChartsType" : "cartesian2d",
      "index" : 0,
      "name" : "[line_3]直角坐标系[0]",
      "getPSChartGrid" : {
        "index" : 0,
        "name" : "[line_3]直角坐标系[0]",
        "getPSChartCoordinateSystem" : {
          "modelref" : true,
          "id" : "0"
        },
        "getPSChartGridXAxis0" : {
          "modelref" : true,
          "id" : "0"
        },
        "getPSChartGridYAxis0" : {
          "modelref" : true,
          "id" : "0"
        },
        "type" : "grid",
        "id" : "0"
      },
      "type" : "XY",
      "id" : "0"
    } ],
    "getPSChartDataSetGroups" : [ {
      "index" : 0,
      "name" : "DEFAULT",
      "getPSAppDEDataSet" : {
        "modelref" : true,
        "id" : "FetchDefault"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
      },
      "id" : "0"
    } ],
    "getPSChartDataSets" : [ {
      "index" : 0,
      "name" : "line_3-DEFAULT",
      "getPSChartDataSetFields" : [ {
        "index" : 0,
        "name" : "CREATEDATE",
        "groupField" : true,
        "id" : "0"
      }, {
        "index" : 1,
        "name" : "TESTNUM3",
        "groupField" : false,
        "id" : "1"
      } ],
      "id" : "0"
    }, {
      "index" : 1,
      "name" : "line_4-DEFAULT",
      "getPSChartDataSetFields" : [ {
        "index" : 0,
        "name" : "CREATEDATE",
        "groupField" : true,
        "id" : "0"
      }, {
        "index" : 1,
        "name" : "TESTNUM4",
        "groupField" : false,
        "id" : "1"
      } ],
      "id" : "1"
    }, {
      "index" : 2,
      "name" : "candlestick_0-DEFAULT",
      "getPSChartDataSetFields" : [ {
        "index" : 0,
        "name" : "CREATEDATE",
        "groupField" : true,
        "id" : "0"
      } ],
      "id" : "2"
    }, {
      "index" : 3,
      "name" : "line_1-DEFAULT",
      "getPSChartDataSetFields" : [ {
        "index" : 0,
        "name" : "CREATEDATE",
        "groupField" : true,
        "id" : "0"
      }, {
        "index" : 1,
        "name" : "AGE",
        "groupField" : false,
        "id" : "1"
      } ],
      "id" : "3"
    }, {
      "index" : 4,
      "name" : "line_2-DEFAULT",
      "getPSChartDataSetFields" : [ {
        "index" : 0,
        "name" : "CREATEDATE",
        "groupField" : true,
        "id" : "0"
      }, {
        "index" : 1,
        "name" : "SCORES",
        "groupField" : false,
        "id" : "1"
      } ],
      "id" : "4"
    } ],
    "getPSChartGrids" : [ {
      "index" : 0,
      "name" : "[line_3]直角坐标系[0]",
      "getPSChartCoordinateSystem" : {
        "modelref" : true,
        "id" : "0"
      },
      "getPSChartGridXAxis0" : {
        "modelref" : true,
        "id" : "0"
      },
      "getPSChartGridYAxis0" : {
        "modelref" : true,
        "id" : "0"
      },
      "type" : "grid",
      "id" : "0"
    } ],
    "getPSChartXAxises" : [ {
      "eChartsPos" : "xAxis",
      "eChartsType" : "category",
      "index" : 0,
      "name" : "axis_xAxis_0",
      "position" : "bottom",
      "type" : "category",
      "id" : "0"
    } ],
    "getPSChartYAxises" : [ {
      "eChartsPos" : "yAxis",
      "eChartsType" : "value",
      "index" : 0,
      "name" : "axis_yAxis_1",
      "position" : "left",
      "type" : "numeric",
      "getUserParam" : {
        "EC.max" : "100"
      },
      "id" : "0"
    } ],
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
        }
      }, {
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
        }
      } ],
      "userDRAction" : "READ",
      "enableDEFieldPrivilege" : false,
      "id" : "图形控件处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "CHART"
    },
    "getPSDEChartDataGrid" : {
      "index" : 0,
      "id" : "0"
    },
    "getPSDEChartLegend" : {
      "index" : 0,
      "showLegend" : true,
      "id" : "0"
    },
    "getPSDEChartSerieses" : [ {
      "caption" : "最高值",
      "catalogField" : "CREATEDATE",
      "eChartsType" : "line",
      "index" : 0,
      "name" : "line_3",
      "getNavPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/ReginfoUsr0423209603EditView.json",
        "viewType" : "DEEDITVIEW"
      },
      "getPSChartCoordinateSystem" : {
        "modelref" : true,
        "id" : "0"
      },
      "getPSChartDataSet" : {
        "modelref" : true,
        "id" : "0"
      },
      "getPSChartSeriesEncode" : {
        "index" : 0,
        "name" : "坐标系编码",
        "getPSChartXAxis" : {
          "modelref" : true,
          "id" : "0"
        },
        "getPSChartYAxis" : {
          "modelref" : true,
          "id" : "0"
        },
        "type" : "XY",
        "x" : [ "CREATEDATE" ],
        "y" : [ "TESTNUM3" ],
        "id" : "0"
      },
      "seriesLayoutBy" : "column",
      "seriesType" : "line",
      "step" : false,
      "valueField" : "TESTNUM3",
      "enableChartDataSet" : true,
      "stack" : false,
      "getUserParam" : {
        "EC.smooth" : "true"
      }
    }, {
      "caption" : "最低值",
      "catalogField" : "CREATEDATE",
      "eChartsType" : "line",
      "index" : 1,
      "name" : "line_4",
      "getPSChartCoordinateSystem" : {
        "modelref" : true,
        "id" : "0"
      },
      "getPSChartDataSet" : {
        "modelref" : true,
        "id" : "1"
      },
      "getPSChartSeriesEncode" : {
        "index" : 0,
        "name" : "坐标系编码",
        "getPSChartXAxis" : {
          "modelref" : true,
          "id" : "0"
        },
        "getPSChartYAxis" : {
          "modelref" : true,
          "id" : "0"
        },
        "type" : "XY",
        "x" : [ "CREATEDATE" ],
        "y" : [ "TESTNUM4" ],
        "id" : "0"
      },
      "seriesLayoutBy" : "column",
      "seriesType" : "line",
      "valueField" : "TESTNUM4",
      "enableChartDataSet" : true,
      "stack" : false,
      "getUserParam" : {
        "EC.smooth" : "true"
      }
    }, {
      "caption" : "k线图序列",
      "catalogField" : "CREATEDATE",
      "eChartsType" : "candlestick",
      "index" : 2,
      "name" : "candlestick_0",
      "getNavPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/ReginfoUsr0423209603EditView.json",
        "viewType" : "DEEDITVIEW"
      },
      "navViewParamJO" : {
        "testval" : "%age%",
        "lowestfield" : "testnum3",
        "closefield" : "scores",
        "openfield" : "age",
        "highestfield" : "testnum4"
      },
      "getPSChartCoordinateSystem" : {
        "modelref" : true,
        "id" : "0"
      },
      "getPSChartDataSet" : {
        "modelref" : true,
        "id" : "2"
      },
      "getPSChartSeriesEncode" : {
        "index" : 0,
        "name" : "坐标系编码",
        "getPSChartXAxis" : {
          "modelref" : true,
          "id" : "0"
        },
        "getPSChartYAxis" : {
          "modelref" : true,
          "id" : "0"
        },
        "type" : "XY",
        "x" : [ "CREATEDATE" ],
        "id" : "0"
      },
      "getPSNavigateParams" : [ {
        "key" : "highestfield",
        "name" : "highestfield",
        "value" : "testnum4",
        "rawValue" : true
      }, {
        "key" : "closefield",
        "name" : "closefield",
        "value" : "scores",
        "rawValue" : true
      }, {
        "key" : "lowestfield",
        "name" : "lowestfield",
        "value" : "testnum3",
        "rawValue" : true
      }, {
        "key" : "testval",
        "name" : "testval",
        "value" : "age",
        "rawValue" : false
      }, {
        "key" : "openfield",
        "name" : "openfield",
        "value" : "age",
        "rawValue" : true
      } ],
      "seriesLayoutBy" : "column",
      "seriesType" : "candlestick",
      "enableChartDataSet" : true
    }, {
      "caption" : "开盘值",
      "catalogField" : "CREATEDATE",
      "eChartsType" : "line",
      "index" : 3,
      "name" : "line_1",
      "getNavPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/ReginfoUsr0423209603EditView.json",
        "viewType" : "DEEDITVIEW"
      },
      "getPSChartCoordinateSystem" : {
        "modelref" : true,
        "id" : "0"
      },
      "getPSChartDataSet" : {
        "modelref" : true,
        "id" : "3"
      },
      "getPSChartSeriesEncode" : {
        "index" : 0,
        "name" : "坐标系编码",
        "getPSChartXAxis" : {
          "modelref" : true,
          "id" : "0"
        },
        "getPSChartYAxis" : {
          "modelref" : true,
          "id" : "0"
        },
        "type" : "XY",
        "x" : [ "CREATEDATE" ],
        "y" : [ "AGE" ],
        "id" : "0"
      },
      "getPSNavigateContexts" : [ {
        "key" : "TEST",
        "name" : "TEST",
        "value" : "srforgname",
        "rawValue" : false
      } ],
      "getPSNavigateParams" : [ {
        "key" : "name",
        "name" : "name",
        "value" : "name",
        "rawValue" : false
      } ],
      "seriesLayoutBy" : "column",
      "seriesType" : "line",
      "valueField" : "AGE",
      "enableChartDataSet" : true,
      "stack" : false,
      "getUserParam" : {
        "EC.smooth" : "true"
      }
    }, {
      "caption" : "收盘值",
      "catalogField" : "CREATEDATE",
      "eChartsType" : "line",
      "index" : 4,
      "name" : "line_2",
      "getNavPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/ReginfoUsr0423209603EditView.json",
        "viewType" : "DEEDITVIEW"
      },
      "navViewParamJO" : {
        "testval" : "%age%"
      },
      "getPSChartCoordinateSystem" : {
        "modelref" : true,
        "id" : "0"
      },
      "getPSChartDataSet" : {
        "modelref" : true,
        "id" : "4"
      },
      "getPSChartSeriesEncode" : {
        "index" : 0,
        "name" : "坐标系编码",
        "getPSChartXAxis" : {
          "modelref" : true,
          "id" : "0"
        },
        "getPSChartYAxis" : {
          "modelref" : true,
          "id" : "0"
        },
        "type" : "XY",
        "x" : [ "CREATEDATE" ],
        "y" : [ "SCORES" ],
        "id" : "0"
      },
      "getPSNavigateParams" : [ {
        "key" : "testval",
        "name" : "testval",
        "value" : "age",
        "rawValue" : false
      } ],
      "seriesLayoutBy" : "column",
      "seriesType" : "line",
      "valueField" : "SCORES",
      "enableChartDataSet" : true,
      "stack" : false,
      "getUserParam" : {
        "EC.smooth" : "true"
      }
    } ],
    "getPSDEChartTitle" : {
      "index" : 0,
      "title" : "测试k线图实体图表视图_图表",
      "showTitle" : true,
      "id" : "0"
    },
    "readOnly" : true,
    "name" : "chart",
    "modelid" : "6CF1559D-221C-4539-BB44-724A8635AA71",
    "modeltype" : "PSDECHART",
    "getUserParam" : {
      "EC.color" : "[\"#5470c6\",\"#91cc75\",\"#fac858\",\"#ee6666\",\"#73c0de\",\"#3ba272\",\"#fc8452\",\"#9a60b4\",\"#ea7ccc\",\"#5470c6\",\"#91cc75\"]"
    }
  }, {
    "caption" : "学员登记信息",
    "codeName" : "UsrCandlestickDeChartViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "UsrCandlestickDeChartView",
  "getPSDEViewId" : "1A2075F7-E777-4791-B0F0-65E362F048F4",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDECHARTVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "测试k线图实体图表视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DECHARTVIEW",
  "enableDP" : true,
  "enableQuickGroup" : false,
  "enableQuickSearch" : false,
  "enableSearch" : true,
  "expandSearchForm" : false,
  "loadDefault" : true,
  "modelid" : "8266df71d1216891c8b7f235532c1d30",
  "modeltype" : "PSAPPDEVIEW"
}